Skip to main content
POST
Re-send the partner subscription authorization request.

Authorizations

X-API-KEY
string
header
required

The authorization key obtained from MarketONE.

Headers

X-B3-TraceId
string

The TraceId indicates the overall ID of the trace. Every span in a trace shares this ID. The X-B3-TraceId header is encoded as 32 or 16 lower-hex characters. For example, a 128-bit TraceId header might look like 463ac35c9f6413ad48485a3953bb6124.

X-B3-SpanId
string

The SpanId is 64-bit in length and indicates the position of the current operation in the trace tree. The value should not be interpreted; it may or may not be derived from the value of the TraceId. The X-B3-SpanId header is encoded as 16 lower-hex characters. For example, a SpanId header might look like a2fb4a1d1a96d312. Unless propagating only the Sampling State, the X-B3-SpanId header is required.

X-B3-ParentSpanId
string

The ParentSpanId is 64-bit in length and indicates the position of the parent operation in the trace tree. When the span is the root of the trace tree, there is no ParentSpanId. The X-B3-ParentSpanId header may be present on a child span and must be absent on the root span. It is encoded as 16 lower-hex characters. For example, a ParentSpanId header might look like 0020000000000001.

Path Parameters

id
string
required

The id parameter is the partner subscription ID entity.

Maximum string length: 36

Response

OK

The information managed in MarketONE about OTT relationship.

id
string
required

MarketONE partner service provisioning record identifier.

Maximum string length: 50
organizationId
string
required

The ID of the aggregator organization in MarketONE for which this record was created.

Maximum string length: 50
partnerCode
string
required

The partner code as set by the partner admin in MarketONE.

Maximum string length: 15
createdDate
string<datetime>
required

The timestamp (ISO 8601 format) when the partner service provisioning information record was created.

type
enum<string>
required

the type of the partner subscription record; ENTITLEMENT - is when the partner subscription is represeting a entitlement relationship (subscription is managed by MarketONE); BILLING - when the partner subscription is representing a billing relationship (subscription is managed by the partner).

Available options:
BILLING,
ENTITLEMENT
partnerCustomerId
string

MarketONE unique customer identifier per partner.

updatedDate
string<datetime>

The timestamp (ISO 8601 format) when the partner service provisioning information record was updated.

billingStatus
enum<string>

The status of the OTT billing partner subscription. PENDING-VALIDATION - the BILLING partner subscription creation was requested by the OTT partner and it requires validation. PENDING-CONFIRMATION - MarketONE successfully validated the BILLING partner subscription. ACTIVE - the BILLING partner subscription is available for billing.

Available options:
PENDING-VALIDATION,
PENDING-CONFIRMATION,
ACTIVE
Maximum string length: 50
billingPaymentMethod
string

A unique identifier.

Maximum string length: 128
account
object